Updating Gateway 3DS & 3DS firmware 4.3

Discussion in '3DS - Flashcards & Custom Firmwares' started by uglydude, Dec 26, 2015.

  1. uglydude
    OP

    uglydude Member

    Newcomer
    12
    2
    Apr 2, 2014
    Hello,

    My many apologies for being a noob.

    Im looking to update my nephew 3DS systems and look for the right direction, as I very confused with all of the update.

    Currently I got:-
    Gateways (both Red & Blue Card)
    3DS XL on firmware 4.3
    3DS Pokemon Omega Ruby (which require firmware 7.2.0-9E)

    I hear that it is possible to update the 3DS console to firmware 9.2 and still be able to use the Gateway card.

    Could you please help me and guild me to what I need to have to both:-

    Update 3DS console to higher (higher then 4.2) firmware
    &

    Prepare the Gateway 3DS card to work on firmware above 4.5

    Many thanks in advance for all of your help.
     
  2. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan

    Member
    632
    79
    Nov 15, 2013
    why do you want to update the 3ds if you have a gateway? you don't need to
     
  3. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    I think they want to be able to play the legit Pokemon Omega Ruby cart they have.

    You can update the 3DS to up to 9.2 and still have GW working, however the only way you would be able to use your GW would be using the web exploit to run GW Launcher, which requires an internet connection every time.

    I recommend staying on 4.3 with the MSET exploit since that works offline, and you should be able to use GW Classic Mode to run the legit game card of Omega Ruby.

    There are caveats, though. If you do this, you need an updated emunand of course, but if you had any save file on the cartridge from being played on another 3DS, you will lose the save file. This is because, in GW classic mode, if your sysnand is under 6.x (or was it 7.x?), it will use old save file encryption. It won't be able to read save files that were created on the newer encryption on another legit 3DS.
    Similarly, you would -only- be able to get the save file to work on a 3DS with sysnand under 6.x running GW in classic mode.
     
    Last edited by Ammako, Dec 26, 2015
  4. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan

    Member
    632
    79
    Nov 15, 2013
    ah i see, yeah, I would advise against updating as having to go online every time to go into gateway is an extra hassle.

    And I would sell the pokemon game and just use a rom.
     
  5. uglydude
    OP

    uglydude Member

    Newcomer
    12
    2
    Apr 2, 2014
    Oh gosh, thank you to both you of.

    Yep you are correct. Someone got my nephew a legit Pokemon game cart, and he want to play it.

    But I thought I have to update the 3DS console to do so.

    Pingouin 7 - You mention I can get the 3DS to play legit cart by using the GW CLassic Mode, could you advice me on how to do that and do I need to update my GW Red Card?

    Many thanks again for all of your help
     
  6. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan

    Member
    632
    79
    Nov 15, 2013
    what have you done so far? It's actually very simple and within an hour (less probably) you should be good to go.

    1. Download the latest gateway files.
    2. Put the contents of the GWUltra file onto the SD Card (the big one that is insed the 3ds. Then put it back in the 3ds.
    3. Put the contents of the 'Blue Card (R4i) onto the root of the blue card in its micro sd card
    4. Switch on 3ds and insert the Blue card. Open it and run the GW Installer file.
    5.Go to system settings and into the 'ds profile' option. The gateway menu will now load.
     
  7. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    I've edited my post with more info but in case you haven't seen it yet:

    You can run Gateway in Classic Mode (select Classic Mode on GW Launcher, or on GW 3.6 you can change on the fly in the GW multirom menu by pressing Up, I believe?) and it will let you run genuine game cards.
    You will need an emunand setup on the SD card for this, preferably updated to the latest version. You can create an emunand in GW launcher, but it erases everything on the SD card. You should backup SD card contents first.

    As I mentioned, there could be problems with this. If the legit Omega Ruby game is brand new and doesn't have a save file yet this shouldn't be a problem, you will be able to play it in Classic mode.

    HOWEVER

    Because your sysnand is on 4.3, it will save the game using the old save file encryption that was used before around firmware 6.x or so. The game -should- work normally though, but if you tried to take that legit game and play it on another 3DS, the same file would read as corrupted unless it also was on <6.x sysnand with Gateway in Classic Mode.
    Similarly, if the game was started on another 3DS, it would not work in GW classic mode, the save file would read as corrupted because it was saved with the newer save encryption and GW Classic Mode can't read it unless sysnand was updated above 6.x

    It might be easier to just backup the legit cartridge in GW Launcher (there is a backup 3ds game option), and you should be able to put that rom directly on GW's microSD card and run it from there. Probably easier because then your nephew won't have to switch between GW red card and a legit 3DS cartridge to play different games. :P
    It'll already have its own private header too so it should be able to go online by changing the rom's file extension to .3dz
    I'm not sure if this is an issue with CARD2 type games, which Pokémon OR is, but save files created with a .3ds rom won't be compatible anymore with the rom once it is renamed to .3dz, so you should probably name the rom as .3dz right away and start playing it that way instead of creating a save file while the rom is .3ds and then renaming it to .3dz for online and possibly having to start over.

    Do keep in mind though, that if you do that to play online, make sure no-one else uses the legit Omega Ruby cartridge, because if they go online with it, the 3DSes may get banned from online functionality. Bans seem to only last two weeks, but it's better to avoid it.
    That is because every 3DS game has an unique header, different for every cartridge produced. Because this is a genuine Omega Ruby cartridge that was hopefully purchased brand new and never used, it will have its own header, so if you make your own personal dump, it will have a header that only you have so you should be able to use that rom dump to play online on GW just fine. But if anyone else was using the legit cartridge to play while your nephew was also using the rom dump on the GW, they may both get banned if they both went online so it's best to make sure no-one uses the legit OR cartridge while the rom is being played on the GW.
     
    uglydude likes this.
  8. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan

    Member
    632
    79
    Nov 15, 2013
    ...actually, there is a pdf guide in the folder you download from the gateway site explaining everything - if you run into any problems let me know but just follow that and you'll be good to go (and have an eternally grateful nephew!)

    — Posts automatically merged - Please don't double post! —

    I think Pingouin7 knows more about this than I do (i'd forgotten about the header business as I use CIA files) so I'll let him give you the advice you need.

    Merry Christmas to both of you!
     
    uglydude likes this.
  9. uglydude
    OP

    uglydude Member

    Newcomer
    12
    2
    Apr 2, 2014
    Hello,

    Hope you could help me.

    I have follow the Gateway PDF instruction and have updated using the GW Ultra 3.4.1 :-

    GW Red Card Updated
    Format EmuNana to GW3D 10.3.0-28E

    However I now face 2 problems:-

    1) I had some Backup Games on the MicroSD, which use to work on the older GW3D 4.3.0-9E (by press SELECT). Now I does the same (pressing SELECT) but the list of game did not come up. Could you advice me why this maybe?

    2) Also I have able to get into BOOT CLASSIC MODE and launch the legit version of POKERMON, but it seem to come on in Japanese language, is this unussual and it is possible to change it to English instead? - EDITED - I have able to solve this problem.

    Also is there anyway to Jump between between BOOT GW MODE and BOOT CLASSIC MODE or access GW MENU, while the Red Card is in?

    Many thanks again for all of your help, I'm seem to be at a new lost.
     
    Last edited by uglydude, Dec 26, 2015
  10. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan

    Member
    632
    79
    Nov 15, 2013
    Hi,

    You need to use the gateway launcher of 3.51 or the latest 3.6 (I'm still on 3.51 and everything works great). That is why pressing selct doesn't bring up the games.
     
    uglydude and Ammako like this.
  11. uglydude
    OP

    uglydude Member

    Newcomer
    12
    2
    Apr 2, 2014
    I would just like to say a big thank you.

    Really appreciate of the help, it was really helpful and I now have one very happy & appreciative nephew.

    Wishing you a belated Merry Christmas & a Happy New Year
     
    Ammako likes this.
  12. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan

    Member
    632
    79
    Nov 15, 2013
    No worries mate, have a good one!
     
  13. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    Wait, why not update to 9.2 and then downgrade MSET to 4.x?
     
  14. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    Hey glad you got it working, sorry I disappeared and didn't really help with other questions you had after my previous post. I have problems of my own and sometimes they overwhelm me and I just don't have the motivation to wrap my head around someone else's issues to dig up the solution and explain it in a proper way.

    Someone else was able to help you though, and all is well in the end.

    Because that only works for N3DS.
    The reason for this is that 9.x with downgraded MSET is different from full 4.x
    The vulnerabilities in other parts of the system exploited by the 4.x MSET exploit for the O3DS have been patched after 5.x came out and (obviously :P) still are patched in 9.2
    That means, you can't just have the code for 4.x MSET working just by having the right system settings. Gateway would have to code an exploit that takes advantage of the new vulnerabilities that are used for various kernel exploits up to 9.2, and so far, they have only done it for the N3DS. They probably don't see the point in doing it for O3DS because they offer a downgrade feature (and 2DS users are left out. :()
    This is also why the rxTools MSET exploit installer, among others, asks you if you need to install the exploit for 4.x, 4.x DG, 6.x, or 6.x DG
    MSET vulnerability is only an entry point. The exploit has to be coded to take advantage of the vulnerabilities which aren't all the same depending on your system setup.
    From 5.x to 9.2 I believe the kernel vulnerabilities are the same. I'm not sure if those vulnerabilities are present on 4.x or even if they are used (people might just be using the same ones as back when we only had 4.x) but anyway.

    If you have 4.x MSET installed on a 4.x firmware, then an exploit taking advantage of the 4.x MSET vulnerability and the 4.x system vulnerabilities is required.
    However, if you are on 9.2 firmware with 4.x system settings, you need an exploit that exploits the entry point in 4.x MSET, but exploits the vulnerabilities in 9.2 which are different than on 4.x, so you can't just re-use the same MSET exploit as it will fail (the vulnerabilities that the original 4.x MSET exploit takes advantage of were patched.

    Long-winded reply but I hope it explais why it's not as simple as just downgrading MSET.
    It works for rxtools because its creators made MSET exploit for every configuration possible, GW only made one for true 4.x O3DS, and N3DS 9.0-9.2 with 4.x MSET.
     
    CrispyYoshi and Quantumcat like this.
  15. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    Very informative! Thank you, and I'll be sure to keep that in mind in the future!